%define name 	matchbox-desktop
%define version 2.0
%define release %mkrel 1

Summary: 	Desktop for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source: 	http://matchbox-project.org/sources/%name/%version/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	pkgconfig libmatchbox-devel startup-notification-devel
BuildRequires:	gtk+2-devel
Requires:	matchbox-panel matchbox-window-manager matchbox-common

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the main desktop from Matchbox.

%prep
%setup -q

%build
%configure2_5x --enable-dnotify --enable-startup-notification
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# wmsession config
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d
cat > $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d/22Matchbox <<EOF
NAME=Matchbox
ICON=/usr/share/pixmaps/mbdesktop.png
EXEC=/usr/bin/matchbox-session
DESC=Matchbox
SCRIPT:
exec /usr/bin/matchbox-session
EOF

%post
/sbin/ldconfig
%make_session

%postun
/sbin/ldconfig
%make_session

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/*


%changelog
* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 2.0-1mdv2008.1
+ Revision: 106243
- BR gtk+2
- New version 2.0
- import matchbox-desktop


* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Tue Jan 5 2005 Austin Acton <austin@mandrake.org> 0.9-1mdk
- 0.9

* Tue Jul 27 2004 Austin Acton <austin@mandrake.org> 0.8.1-2mdk
- devel headers do not require main
- enable startup notification

* Tue Jul 27 2004 Austin Acton <austin@mandrake.org> 0.8.1-1mdk
- modules in /usr/lib (thanks to author)

* Wed Jul 21 2004 Austin Acton <austin@mandrake.org> 0.8-3mdk
- allow modules in /usr/share (not good)

* Wed Jul 21 2004 Austin Acton <austin@mandrake.org> 0.8-2mdk
- require common, panel, and window manager
- add wmsession config

* Mon Jul 20 2004 Austin Acton <austin@mandrake.org> 0.8-1mdk
- 0.8

